<inp2:m_include t="incs/header" />
<inp2:m_RenderElement name="combined_header" section="in-portal:searchlog" prefix="search-log" title_preset="search_log_list" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  		<td>
	  		<table width="100%" cellpadding="0" cellspacing="0">
	  			<tr>
	  				<td >
	  					<script type="text/javascript">
							a_toolbar = new ToolBar();


							function edit()
							{

							}

							a_toolbar.AddButton(
								new ToolBarButton(
									'refresh',
									'<inp2:m_phrase label="la_ToolTip_Refresh" escape="1"/>',
									function() {
										window.location.href = window.location.href;
									}
				 				)
				 			);

				 			a_toolbar.AddButton(
								new ToolBarButton(
									'delete',
									'<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
									function() {
										std_delete_items('search-log');
									}
				 				)
				 			);

				 			a_toolbar.AddButton(
								new ToolBarButton(
									'reset',
									'<inp2:m_phrase label="la_ToolTip_DeleteAll" escape="1"/>',
									function() {
										if (inpConfirm('<inp2:m_Phrase name="la_Delete_Confirm" escape="1"/>')) {
									  		submit_event('search-log', 'OnDeleteAll');
										}
									}
				 				)
				 			);

					  		a_toolbar.AddButton( new ToolBarSeparator('sep1') );

							a_toolbar.AddButton(
								new ToolBarButton('export', '<inp2:m_phrase label="la_ToolTip_Export" escape="1"/>', function() {
								std_csv_export('search-log', 'Default', 'export/export_progress');
								}
							) );

							a_toolbar.AddButton( new ToolBarSeparator('sep2') );

							a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function(id) {
										show_viewmenu(a_toolbar,'view');
									}
							) );

							a_toolbar.Render();
						</script>
	  				</td>

	  				<inp2:m_RenderElement name="search_main_toolbar" prefix="search-log" grid="Default"/>
	  			</tr>
	  		</table>
		</td>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="search-log" IdField="SearchLogId" grid="Default"/>
<script type="text/javascript">
	Grids['search-log'].SetDependantToolbarButtons( new Array('delete') );
</script>

<inp2:m_include t="incs/footer"/>
